import { IWidgetRegistration } from "../orchestrator/IWidgetRegistration";
import { IWidgetInstanceInternal } from "../orchestrator/IWidgetInstanceInternal";
export interface IWidgetInstanceManager {
    getWidgetInstances(): Promise<Array<IWidgetInstanceInternal>>;
    getRiverWidgetInstances(): Array<IWidgetInstanceInternal>;
    getFeedInstance(): Promise<IWidgetInstanceInternal>;
    removeWidgetInstanceFromPins(widgetInstance: IWidgetInstanceInternal): Promise<IWidgetInstanceInternal>;
    removeWidgetInstanceFromRiver(widgetInstance: IWidgetInstanceInternal): Promise<IWidgetInstanceInternal>;
    isRiverInstance(widgetInstance: IWidgetInstanceInternal): boolean;
    updateWidgetInstance(widget: IWidgetInstanceInternal): Promise<IWidgetInstanceInternal>;
    addWidgetInstanceForPin(registration: IWidgetRegistration, widgetId?: string): Promise<IWidgetInstanceInternal>;
    addWidgetInstanceForRiver(registration: IWidgetRegistration): Promise<IWidgetInstanceInternal>;
}
